Bug 1130428 - After migration of RHEL7.1 guest with "-vga qxl", GUI console is hang
Summary: After migration of RHEL7.1 guest with "-vga qxl", GUI console is hang
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Dr. David Alan Gilbert
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 08:17 UTC by huiqingding
Modified: 2015-03-05 08:11 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-1.5.3-77.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 08:11:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0349 normal SHIPPED_LIVE Important: qemu-kvm security, bug fix, and enhancement update 2015-03-05 12:27:34 UTC

Description huiqingding 2014-08-15 08:17:37 UTC
DescrRHELiption of problem:
Boot a guest with "-vga qxl", do migation, after migration, GUI console of the guest is hang. On the host, can ping guest and use ssh connect the guest.

Version-Release number of selected component (if applicable):
src host:
qemu-kvm-1.5.3-67.el7.x86_64
kernel-3.10.0-145.el7.x86_64
dst host:
qemu-kvm-1.5.3-67.el7.x86_64
kernel-3.10.0-145.el7.x86_64

RHEL7.1 guest:
kernel-3.10.0-145.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. boot a RHEL7.1 guest with "-vga qxl" on src host:
# /usr/libexec/qemu-kvm -name virt-tests-vm1 -M pc -nodefaults -spice port=5901,password=redhat-vga,disable-ticketing -vga qxl -global qxl-vga.vram_size=33554432  -device virtio-scsi-pci,id=virtio_scsi_pci0 -drive id=drive_image1,if=none,cache=writethrough,snapshot=off,aio=native,file=/mnt/rhel7_1.qcow2 -device scsi-hd,id=image1,drive=drive_image1 -device virtio-net-pci,mac=9a:08:09:0a:0b:0c,id=idqiB5iJ,netdev=idlmunRA -netdev tap,id=idlmunRA,vhost=on,script=/etc/qemu-ifup -m 2048 -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 -cpu SandyBridge  -rtc base=utc,clock=host,driftfix=slew  -monitor stdio

2. boot a RHEL7.1 guest on dst host:
# /usr/libexec/qemu-kvm -name virt-tests-vm1 -M pc -nodefaults -spice port=5901,password=redhat-vga,disable-ticketing -vga qxl -global qxl-vga.vram_size=33554432  -device virtio-scsi-pci,id=virtio_scsi_pci0 -drive id=drive_image1,if=none,cache=writethrough,snapshot=off,aio=native,file=/mnt/rhel7_1.qcow2 -device scsi-hd,id=image1,drive=drive_image1 -device virtio-net-pci,mac=9a:08:09:0a:0b:0c,id=idqiB5iJ,netdev=idlmunRA -netdev tap,id=idlmunRA,vhost=on,script=/etc/qemu-ifup -m 2048 -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 -cpu SandyBridge  -rtc base=utc,clock=host,driftfix=slew  -monitor stdio -incoming tcp:0:5800

3. do migration
(qemu) migrate -d tcp:10.66.9.152:5800

Actual results:
after step3, GUI console of the guest is hang. The host can ping guest and can use ssh to coonect to the guest. 

Expected results:
GUI console of the guest should be normal.

Additional info:
I check dmesg inside guest after migration, not found error info.

Comment 1 huiqingding 2014-08-15 08:18:59 UTC
I test "-vga cirrus", not hit this problem.

Comment 2 huiqingding 2014-08-15 08:21:10 UTC
I also test qemu-kvm-1.5.3-60.el7.x86_64, qemu-kvm-1.5.3-65.el7.x86_64, not hit this problem.

I test qemu-kvm-1.5.3-66.el7.x86_64, hit this problem.

Comment 3 huiqingding 2014-08-15 08:22:22 UTC
(In reply to huiqingding from comment #2)
> I also test qemu-kvm-1.5.3-60.el7.x86_64, qemu-kvm-1.5.3-65.el7.x86_64, not
> hit this problem.
> 
> I test qemu-kvm-1.5.3-66.el7.x86_64, hit this problem.

Based on this comment, add "Regression" keywords.

Comment 4 huiqingding 2014-08-15 08:23:31 UTC
I also test qemu-kvm-rhev-2.1.0-1.el7.x86_64, not hit this problem, only hit this bz1130356.

Comment 7 Dr. David Alan Gilbert 2014-10-21 13:22:01 UTC
I can confirm it is something between -65 and -66 - although that's odd because there's nothing obviously spice related.

Comment 10 Miroslav Rezanina 2014-10-24 12:03:56 UTC
Fix included in qemu-kvm-1.5.3-77.el7

Comment 12 huiqingding 2014-10-28 07:05:55 UTC
Reproduce this bug using the following version:
src host:
qemu-kvm-1.5.3-67.el7.x86_64
kernel-3.10.0-187.el7.x86_64

dst host:
qemu-kvm-1.5.3-67.el7.x86_64
kernel-3.10.0-187.el7.x86_64

RHEL7.1 guest:
kernel-3.10.0-145.el7.x86_64

Steps to Reproduce:
1. boot a RHEL7.1 guest with "-vga qxl" on src host:
# /usr/libexec/qemu-kvm -name virt-tests-vm1 -M pc -nodefaults -spice port=5901,password=redhat-vga,disable-ticketing -vga qxl -global qxl-vga.vram_size=33554432  -device virtio-scsi-pci,id=virtio_scsi_pci0 -drive id=drive_image1,if=none,cache=writethrough,snapshot=off,aio=native,file=/mnt/rhel7_1.qcow2 -device scsi-hd,id=image1,drive=drive_image1 -device virtio-net-pci,mac=9a:08:09:0a:0b:0c,id=idqiB5iJ,netdev=idlmunRA -netdev tap,id=idlmunRA,vhost=on,script=/etc/qemu-ifup -m 2048 -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 -cpu Opteron_G1,enforce  -rtc base=utc,clock=host,driftfix=slew  -monitor stdio

2. boot a RHEL7.1 guest on dst host:
# /usr/libexec/qemu-kvm -name virt-tests-vm1 -M pc -nodefaults -spice port=5901,password=redhat-vga,disable-ticketing -vga qxl -global qxl-vga.vram_size=33554432  -device virtio-scsi-pci,id=virtio_scsi_pci0 -drive id=drive_image1,if=none,cache=writethrough,snapshot=off,aio=native,file=/mnt/rhel7_1.qcow2 -device scsi-hd,id=image1,drive=drive_image1 -device virtio-net-pci,mac=9a:08:09:0a:0b:0c,id=idqiB5iJ,netdev=idlmunRA -netdev tap,id=idlmunRA,vhost=on,script=/etc/qemu-ifup -m 2048 -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 -cpu Opteron_G1,enforce  -rtc base=utc,clock=host,driftfix=slew  -monitor stdio -incoming tcp:0:5800

3. do migration
(qemu) migrate -d tcp:10.66.9.152:5800

Actual results:
after step3, login guest, GUI is black and hang.

Comment 13 huiqingding 2014-10-28 07:10:34 UTC
Test this bug using the following version:
src host:
qemu-kvm-1.5.3-77.el7.x86_64
kernel-3.10.0-187.el7.x86_64

dst host:
qemu-kvm-1.5.3-77.el7.x86_64
kernel-3.10.0-187.el7.x86_64

RHEL7.1 guest:
kernel-3.10.0-145.el7.x86_64

Steps to Test:
1. boot a RHEL7.1 guest with "-vga qxl" on src host:
# /usr/libexec/qemu-kvm -name virt-tests-vm1 -M pc -nodefaults -spice port=5901,password=redhat-vga,disable-ticketing -vga qxl -global qxl-vga.vram_size=33554432  -device virtio-scsi-pci,id=virtio_scsi_pci0 -drive id=drive_image1,if=none,cache=writethrough,snapshot=off,aio=native,file=/mnt/rhel7_1.qcow2 -device scsi-hd,id=image1,drive=drive_image1 -device virtio-net-pci,mac=9a:08:09:0a:0b:0c,id=idqiB5iJ,netdev=idlmunRA -netdev tap,id=idlmunRA,vhost=on,script=/etc/qemu-ifup -m 2048 -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 -cpu Opteron_G1,enforce  -rtc base=utc,clock=host,driftfix=slew  -monitor stdio

2. boot a RHEL7.1 guest on dst host:
# /usr/libexec/qemu-kvm -name virt-tests-vm1 -M pc -nodefaults -spice port=5901,password=redhat-vga,disable-ticketing -vga qxl -global qxl-vga.vram_size=33554432  -device virtio-scsi-pci,id=virtio_scsi_pci0 -drive id=drive_image1,if=none,cache=writethrough,snapshot=off,aio=native,file=/mnt/rhel7_1.qcow2 -device scsi-hd,id=image1,drive=drive_image1 -device virtio-net-pci,mac=9a:08:09:0a:0b:0c,id=idqiB5iJ,netdev=idlmunRA -netdev tap,id=idlmunRA,vhost=on,script=/etc/qemu-ifup -m 2048 -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 -cpu Opteron_G1,enforce  -rtc base=utc,clock=host,driftfix=slew  -monitor stdio -incoming tcp:0:5800

3. do migration
(qemu) migrate -d tcp:10.66.9.152:5800

Actual results:
after step3, login guest, GUI works well.

Comment 16 errata-xmlrpc 2015-03-05 08:11:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0349.html


Note You need to log in before you can comment on or make changes to this bug.